function checkAndUpdateData()
{
	// migrate v1 to trigger data structure
	var fMigrate=false;
	var basePropertyArray = Property.getNode('values');
	if (basePropertyArray!=null) {
		var subPropArray = basePropertyArray.getChildren();
		for ( var iIndex = 0; iIndex < subPropArray.length; iIndex++) {
			var baseProp = subPropArray[iIndex];

			if (baseProp.getChild('disabled')!=null) {
			    fMigrate=true;
                var fDisabled=baseProp.getChild('disabled').getValue();
                lInfo.logln("fDisabled: " + fDisabled);
                
                if (fDisabled) {
                    Property.setProperty(baseProp.getPath() + '/conditions/enabled', false);
                    Property.setFlag(baseProp.getPath()+'/conditions/enabled','ARCHIVE',true);
                } else {
                    Property.setProperty(baseProp.getPath() + '/conditions/enabled', true);
                    Property.setFlag(baseProp.getPath()+'/conditions/enabled','ARCHIVE',true);
                }
                baseProp.removeChild('disabled');
			}
	            
			var triggerProp = baseProp.getChild('trigger');
			if (triggerProp!=null) {
				var triggerZone = triggerProp.getChild('zone');				
				var triggerGroup = triggerProp.getChild('group');
				var triggerScene = triggerProp.getChild('scene');
				if (triggerZone != null)
					if (triggerGroup != null)
						if (triggerScene != null) {

						    var triggerZoneID=triggerZone.getValue();
                            var triggerGroupID=triggerGroup.getValue();
                            var triggerSceneID=triggerScene.getValue();
                            lInfo.logln("Triggering on : " + triggerZoneID + " " + triggerGroupID + " " + triggerSceneID);

                            if (triggerZoneID == 0) {
                                lInfo.logln("Trigger-zone is 0 -> setting to -1");
                                triggerZoneID = -1;
                            }
                            
                            if ((triggerSceneID == 65) || ((triggerSceneID >= 71) && (triggerSceneID <= 73))) {
                                triggerGroupID = 0;
                                triggerZoneID = 0;
                                lInfo.logln("Trigger-scene is Panik, Kommen, Gehen or Klingel -> force setting group and zone to 0");
                            } else if (triggerSceneID >= 64) {
                                triggerGroupID = 0;
                                lInfo.logln("Trigger-scene is apartment scene -> force setting group to 0");
                            }
                            
							fMigrate=true;						
							Property.setProperty(baseProp.getPath()+'/triggers/1/type','zone-scene');
							Property.setProperty(baseProp.getPath()+'/triggers/1/scene',triggerSceneID);
							Property.setProperty(baseProp.getPath()+'/triggers/1/group',triggerGroupID);
                            Property.setProperty(baseProp.getPath()+'/triggers/1/zone',triggerZoneID);
                            Property.setProperty(baseProp.getPath()+'/triggers/1/dsid',-1);
                            
							Property.setFlag(baseProp.getPath()+'/triggers/1/zone','ARCHIVE',true);
							Property.setFlag(baseProp.getPath()+'/triggers/1/group','ARCHIVE',true);
							Property.setFlag(baseProp.getPath()+'/triggers/1/scene','ARCHIVE',true);
                            Property.setFlag(baseProp.getPath()+'/triggers/1/type','ARCHIVE',true);
                            Property.setFlag(baseProp.getPath()+'/triggers/1/dsid','ARCHIVE',true);
							baseProp.removeChild('trigger');
						}
			}
			var messageProp = baseProp.getChild('message');
			if (messageProp!=null) {
				var messageBody = messageProp.getChild('message');
				if (messageBody!=null)
				{
					fMigrate=true;
					Property.setProperty(messageProp.getPath()+'/messageBody',messageBody.getValue());
					Property.setFlag(messageProp.getPath()+'/messageBody','ARCHIVE',true);
					messageProp.removeChild('message');
				}
			}

		}
	}
	
	if (fMigrate)
		Property.store();
}